Skip to main content
`Ctrl`+`K`

# PetscViewerExodusIISetNodalVariableName

Sets the name of a nodal variable.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscViewerExodusIISetNodalVariableName(PetscViewer viewer, PetscExodusIIInt idx, const char name[])

Collective;

## Input Parameters

- viewer - a `PetscViewer` of type `PETSCVIEWEREXODUSII`

- idx - the index for which you want to save the name

- name - string containing the name characters

## See Also

`PETSCVIEWEREXODUSII`, `PetscViewer`, `PetscViewerCreate()`, `PetscViewerDestroy()`, `PetscViewerExodusIIOpen()`, `PetscViewerSetType()`, `PetscViewerType`, `PetscViewerExodusIIGetNodalVariableName()`

## Level

intermediate

## Location

src/dm/impls/plex/exodusii/plexexodusii2.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages